/**
 * Copyright Kyndryl, Inc. 2022
 */
import { LitElement } from 'lit';
/**
 * kd-accordion-item web component
 */
export declare class AccordionItem extends LitElement {
    static styles: import("lit").CSSResultGroup[];
    startOpened: boolean;
    private _index;
    private showNumber;
    private opened;
    firstUpdated(): void;
    setIndex(index: number): void;
    setShowNumbers(value: boolean): void;
    open(): void;
    close(): void;
    private _handleClick;
    private _handleKeypress;
    private _toggleOpenState;
    get numberTemplate(): "" | import("lit-html").TemplateResult<1>;
    get iconTemplate(): "" | import("lit-html").TemplateResult<1>;
    get subtitleTemplate(): "" | import("lit-html").TemplateResult<1>;
    render(): import("lit-html").TemplateResult<1>;
}
//# sourceMappingURL=accordionItem.d.ts.map