import{__decorate as e}from"../../_virtual/_tslib.js";import'./../../external/@lit/reactive-element/reactive-element.js';import{html as t}from'./../../external/lit-html/lit-html.js';import{LitElement as i}from'./../../external/lit-element/lit-element.js';import{customElement as s}from'./../../external/@lit/reactive-element/decorators/custom-element.js';import{property as o}from'./../../external/@lit/reactive-element/decorators/property.js';import{state as d}from'./../../external/@lit/reactive-element/decorators/state.js';import'./../../external/@lit/reactive-element/decorators/query-assigned-elements.js';import{ifDefined as r}from'./../../external/lit-html/directives/if-defined.js';import l from"./accordionItem.scss.js";let n=class extends i{constructor(){super(...arguments),this.startOpened=!1,this._index=1,this.showNumber=!1,this.opened=!1}firstUpdated(){this.startOpened&&this._toggleOpenState()}setIndex(e){this._index=e}setShowNumbers(e){this.showNumber=e}open(){this.opened||this._toggleOpenState()}close(){this.opened&&this._toggleOpenState()}_handleClick(e){e.preventDefault(),this._toggleOpenState()}_handleKeypress(e){e.preventDefault()," "!=e.key&&"Enter"!=e.key||this._toggleOpenState()}_toggleOpenState(){this.opened?(this.ariaExpanded="false",this.opened=!1):(this.ariaExpanded="true",this.opened=!0,this.ariaExpanded);const e=this.renderRoot.querySelector(".kd-accordion-item");e&&e.classList.toggle("opened")}get numberTemplate(){return this.showNumber?t`<div class="number">${this._index}</div>`:""}get iconTemplate(){return this.querySelector('[slot="icon"]')?t`<div class="icon"><slot name="icon"></slot></div>`:""}get subtitleTemplate(){return this.querySelector('[slot="subtitle"]')?t`
        <div class="kd-accordion-item-subtitle">
          <slot name="subtitle"></slot>
        </div>
      `:""}render(){let e="";return e+="kd-accordion-item",1==this._index&&(e+=" first-item"),t`
      <div
        class="${e}"
        aria-expanded="${r(null===this.ariaExpanded?void 0:"true"===this.ariaExpanded)}"
        aria-controls="kd-accordion-item-detail-${this._index}"
        tabindex="${this._index}"
        @click="${e=>this._handleClick(e)}"
        @keypress="${e=>this._handleKeypress(e)}"
      >
        <div
          id="kd-accordion-item-title-${this._index}"
          class="kd-accordion-item-title"
        >
          ${this.iconTemplate} ${this.numberTemplate}
          <div class="title">
            <div><slot name="title"></slot></div>
            ${this.subtitleTemplate}
          </div>
        </div>

        <div
          class="kd-accordion-item-body"
          id="kd-accordion-item-body-${this._index}"
          aria-labelledby="kd-accordion-item-title-${this._index}"
        >
          <div class="kd-accordion-item-detail">
            <slot name="body"></slot>
          </div>
        </div>
      </div>
    `}};n.styles=[l],e([o({type:Boolean})],n.prototype,"startOpened",void 0),e([d()],n.prototype,"_index",void 0),e([d()],n.prototype,"showNumber",void 0),n=e([s("kd-accordion-item")],n);export{n as AccordionItem};
//# sourceMappingURL=accordionItem.js.map
