/**
 * Copyright Kyndryl, Inc. 2023
 */
import { LitElement } from 'lit';
export declare class Accordion extends LitElement {
    showNumbers: boolean;
    startNumber: number;
    private _childItems;
    private _allOpenState;
    static styles: import("lit").CSSResultGroup[];
    protected _handleSlotChange(event: Event): void;
    willUpdate(): void;
    protected _openAllItems(): void;
    protected _closeAllItems(): void;
    private _toggleExpandAll;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'kd-accordion': Accordion;
    }
}
//# sourceMappingURL=accordion.d.ts.map