import'./../../external/@lit/reactive-element/reactive-element.js';import'./../../external/lit-html/lit-html.js';import'./../../external/lit-element/lit-element.js';import{css as i}from'./../../external/@lit/reactive-element/css-tag.js';var e=i`:root {
  --kd-grid-max-width: 99rem;
}

/**
 * Copyright Kyndryl, Inc. 2023
 */
.kd-accordion-item {
  padding: 0px 0px;
  border-width: 0 0 1px 0;
  border-color: var(--kd-color-brand-sage);
  border-style: solid;
  display: block;
  background-color: var(--kd-color-background-ui-default);
  box-sizing: border-box;
}
.kd-accordion-item.first-item {
  border-top: 1px;
  border-color: var(--kd-color-brand-sage);
  border-style: solid;
}
.kd-accordion-item .kd-accordion-item-title {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: normal;
  align-items: normal;
  align-content: normal;
  background: none;
  border: 0;
  position: relative;
  font-family: var(--kd-font-family-primary);
  font-size: var(--kd-font-size-body-1-sm);
  line-height: var(--kd-line-height-body-1-sm);
  font-weight: var(--kd-font-weight-regular);
  letter-spacing: var(--kd-letter-spacing-4);
  font-weight: var(--kd-font-weight-medium);
  padding: 24px 16px;
}
@media (min-width: 42rem) {
  .kd-accordion-item .kd-accordion-item-title {
    font-size: var(--kd-font-size-body-1-md);
    line-height: var(--kd-line-height-body-1-md);
  }
}
@media (min-width: 74rem) {
  .kd-accordion-item .kd-accordion-item-title {
    font-size: var(--kd-font-size-body-1-lg);
    line-height: var(--kd-line-height-body-1-lg);
  }
}
@media (min-width: 82rem) {
  .kd-accordion-item .kd-accordion-item-title {
    font-size: var(--kd-font-size-body-1-xlg);
    line-height: var(--kd-line-height-body-1-xlg);
  }
}
@media (min-width: 99rem) {
  .kd-accordion-item .kd-accordion-item-title {
    font-size: var(--kd-font-size-body-1-max);
    line-height: var(--kd-line-height-body-1-max);
  }
}
.kd-accordion-item .kd-accordion-item-title:hover {
  background: var(--kd-color-background-accent-subtle);
}
.kd-accordion-item .kd-accordion-item-title:focus {
  border: 2px solid var(--kd-color-border-focus);
}
.kd-accordion-item .kd-accordion-item-title:after {
  position: absolute;
  top: calc(50% - 16px);
  right: 16px;
  content: "+";
  font-size: 32px;
}
.kd-accordion-item .kd-accordion-item-title .number,
.kd-accordion-item .kd-accordion-item-title .icon {
  padding-right: 2em;
  flex-grow: 0;
  flex-shrink: 1;
  flex-basis: auto;
  align-self: auto;
  order: 0;
  display: flex;
  justify-content: center;
  align-content: center;
  flex-direction: column;
}
.kd-accordion-item .kd-accordion-item-title .title {
  flex-grow: 1;
  flex-shrink: 1;
  flex-basis: auto;
  align-self: auto;
  order: 0;
}
.kd-accordion-item.opened .kd-accordion-item-title:after {
  content: "-";
}
.kd-accordion-item .kd-accordion-item-body {
  padding: 24px 64px 24px 16px;
  display: none;
}
.kd-accordion-item.opened .kd-accordion-item-body {
  display: block;
}
.kd-accordion-item .icon {
  vertical-align: middle;
}
.kd-accordion-item .kd-accordion-item-subtitle {
  font-family: var(--kd-font-family-secondary);
  font-size: var(--kd-font-size-utility-2-sm);
  line-height: var(--kd-line-height-utility-2-sm);
  font-weight: var(--kd-font-weight-regular);
  letter-spacing: var(--kd-letter-spacing-5);
  font-weight: var(--kd-font-weight-regular);
}
@media (min-width: 42rem) {
  .kd-accordion-item .kd-accordion-item-subtitle {
    font-size: var(--kd-font-size-utility-2-md);
    line-height: var(--kd-line-height-utility-2-md);
  }
}
@media (min-width: 74rem) {
  .kd-accordion-item .kd-accordion-item-subtitle {
    font-size: var(--kd-font-size-utility-2-lg);
    line-height: var(--kd-line-height-utility-2-lg);
  }
}
@media (min-width: 82rem) {
  .kd-accordion-item .kd-accordion-item-subtitle {
    font-size: var(--kd-font-size-utility-2-xlg);
    line-height: var(--kd-line-height-utility-2-xlg);
  }
}
@media (min-width: 99rem) {
  .kd-accordion-item .kd-accordion-item-subtitle {
    font-size: var(--kd-font-size-utility-2-max);
    line-height: var(--kd-line-height-utility-2-max);
  }
}`;export{e as default};
//# sourceMappingURL=accordionItem.scss.js.map
